<?php
session_start();
	if (isset($_SESSION['nazwa']))  {
		require_once('wa_polacz.php');
		date_default_timezone_set('Europe/Warsaw');
		
		//Tablica uzytkownikow ze statusem wyzszym niz 0			
		$lu = count($_SESSION['userss']);
		$lo = count($_SESSION['user_on']);
		$wyswietl=true;
		$k=0;
		for ($i=0; $i<$lu; $i++) {
			if ($_SESSION['userss'][$i]>0) {
				$tab_vip[$k]=$_SESSION['usersid'][$i];
				$k++;
			}
		}
		//Zapis uzytkownikow online ze statusem wyzszym od 0 do tablicy $tab_vip
		$l=0;
		$ltv = count($tab_vip);
		for ($i=0; $i<$lo; $i++) {
			for ($k=0; $k<$ltv; $k++) {
				if ($tab_vip[$k]==$_SESSION['user_on'][$i][0]) {
					$tab_online[$l]=$_SESSION['user_on'][$i][0];
					$l++;
				}
			}
		}
		if ($l>0) {
			$luserow=implode(',', $tab_online);
			
			//Pobranie tekstow dla stopki
			$zap = "SELECT id_user, nazwa, tekst, wyswietl, data_stopki FROM stopka
					WHERE wyswietl=1 AND (id_user IN(".$luserow."))";
			$wynik_pobierz = mysqli_query($db, $zap);
			$lv = $wynik_pobierz->num_rows;
			if ($lv==0) $wyswietl=false;
		} else $wyswietl=false;
		if ($wyswietl) {
			$stopka = array();
				while ($wiersz = mysqli_fetch_row($wynik_pobierz)) 
					{
						$stopka[] = $wiersz;
					}
			$wynik_pobierz->free_result();
		} else {
			$stopka[0][0]=1;
			$stopka[0][1]='';
			$stopka[0][2]='Witaj na Platformie WIRTUALNY ASYSTENT';
			//$stopka[1][0]=1;
			//$stopka[1][1]='kljlkjl';
			//$stopka[1][2]='Witaj na Platformie WIRTUALNY ASYSTENT';
		}
		mysqli_close($db);
		echo json_encode($stopka);
	}
	
?>